package com.ruoyi.quartz.domain.app;

import java.math.BigDecimal;

/**
 * 向wcs发送堆垛机任务请求
 */
public class WcsStackerTaskReq {
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 任务类型
     */
    private Integer taskType;
    /**
     * 任务优先级
     */
    private Integer priority;
    /**
     * 任务起点
     */
    private String origin;
    /**
     * 任务中间点
     */
    private String midpoint;
    /**
     * 任务终点
     */
    private String destination;
    /**
     * 载具编号
     */
    private String vehicleNo;
    /**
     * 载具尺寸
     */
    private Integer vehicleSize = 0;
    /**
     * 总重量
     */
    private BigDecimal weight = BigDecimal.ZERO;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getMidpoint() {
        return midpoint;
    }

    public void setMidpoint(String midpoint) {
        this.midpoint = midpoint;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    public Integer getVehicleSize() {
        return vehicleSize;
    }

    public void setVehicleSize(Integer vehicleSize) {
        this.vehicleSize = vehicleSize;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }
}
